<?php

/* PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license.  If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Team
 * @package    QuickTeam
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @license    http://www.php.net/license  PHP License 3.0
 * @version    2.0 build:20090311
 * @link       http://www.qt-cute.org/doc/package/qte
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0 */

session_start();
require_once('bin/qte_init.php');
if ( !$oVIP->CanAccess('M') ) HtmlPage(102);

// --------
// INITIALISE
// --------

$v = 'birthdate';
$intYear   = date('Y');
if ( isset($_GET['y']) ) $intYear = strip_tags($_GET['y']);
$intYearN  = $intYear;
$intMonth  = date('n');
if ( isset($_GET['m']) ) $intMonth = strip_tags($_GET['m']);
$intMonthN = $intMonth+1; if ( $intMonthN>12 ) { $intMonthN=1; $intYearN++; }
$strMonth  = '0'.$intMonth; $strMonth = substr($strMonth,-2,2);
$strMonthN = '0'.$intMonthN; $strMonthN = substr($strMonthN,-2,2);

$arrEvents = array();
$arrEventsN = array();
$intEvents = 0;
$intEventsN = 0;

if ( $intYear>2100 ) die('Invalid year');
if ( $intYear<1900 ) die('Invalid year');
if ( $intMonth>12 ) die('Invalid month');
if ( $intMonth<1 ) die('Invalid month');

$oVIP->selfurl = 'qte_cal_list.php';
$oVIP->selfname = $L['Calendar'];
$oVIP->exiturl = 'qte_cal_main.php?y='.$intYear.'&amp;m='.$intMonth;
$oVIP->exitname = '&laquo; '.$L['Calendar'];

// --------
// HTML START
// --------

include('qte_p_header.php');

echo '<h1>',$L['Birthdays_calendar'],' ',$L['Emails'],'</h1>',N;

// USERS

switch(substr($oDB->type,0,5))
{
// Select month
case 'mysql': $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTRING('.$v.',5,2)="'.$strMonth.'" OR SUBSTRING('.$v.',5,2)="'.$strMonthN.'"' ); break;
case 'mssql': $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTRING('.$v.',5,2)="'.$strMonth.'" OR SUBSTRING('.$v.',5,2)="'.$strMonthN.'"' ); break;
case 'pg':    $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTRING('.$v.',5,2)="'.$strMonth.'" OR SUBSTRING('.$v.',5,2)="'.$strMonthN.'"' ); break;
case 'ibase': $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTRING('.$v.' FROM 5 FOR 2)="'.$strMonth.'" OR SUBSTRING('.$v.' FROM 5 FOR 2)="'.$strMonthN.'"' ); break;
case 'sqlit': $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTR('.$v.',5,2)="'.$strMonth.'" OR SUBSTR('.$v.',5,2)="'.$strMonthN.'"' ); break;
case 'acces': $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE MID('.$v.',5,2)="'.$strMonth.'" OR MID('.$v.',5,2)="'.$strMonthN.'"' ); break;
case 'db2':   $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTR('.$v.',5,2)="'.$strMonth.'" OR SUBSTR('.$v.',5,2)="'.$strMonthN.'"' ); break;
case 'ifx':   $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTRING('.$v.',5,2)="'.$strMonth.'" OR SUBSTRING('.$v.',5,2)="'.$strMonthN.'"' ); break;
case 'oci':   $oDB->Query( 'SELECT id,username,title,firstname,midname,lastname,emails,alias,picture,privacy,'.$v.' FROM '.TABUSER.' WHERE SUBSTR('.$v.',5,2)="'.$strMonth.'" OR SUBSTR('.$v.',5,2)="'.$strMonthN.'"' ); break;
default: die('Unknown db type '.$oDB->type);
}
while($row=$oDB->Getrow())
{
  if ( strlen($row[$v])==8 )
  {
    $strM = substr($row[$v],4,2); $intM = intval($strM);
    $strD = substr($row[$v],6,2); $intD = intval($strD);
    if ( $strM==$strMonth ) { $arrEvents[$intD][]=$row; $intEvents++; }
    if ( $strM==$strMonthN ) { $arrEventsN[$intD][]=$row; $intEventsN++; }
  }
}
ksort($arrEvents);
ksort($arrEventsN);

echo '<h2>',$L['dateMMM'][$intMonth],' ',$intYear,'</h2>',N;

echo '<table class="data_t" cellspacing="0">',N;
echo '<colgroup span="3"><col width="10"></col><col></col><col width="10"></col></colgroup>',N;
echo '<tr class="data_o">',N;
echo '<td class="th_s th_s_first th_s_empty"></td>',N;
echo '<td class="th_s th_s_empty"></td>',N;
echo '<td class="th_s th_s_last th_s_empty"></td>',N;
echo '</tr>',N;

if ( count($arrEvents)==0 )
{
  echo '<tr class="tr_s"><td class="td_s" colspan="3">',$L['None'],'</td>';
}
else
{
  $strText = '';
  echo '<tr class="tr_s">';
  echo '<td class="td_s">&nbsp;</td>';
  echo '<td class="td_s">';
  foreach ($arrEvents as $intDay => $arrEvent) {
  foreach ($arrEvent as $intNum => $arrUser) {
  $oUser = new cUser($arrUser,true); // privatise
  $str = AsEmails($oUser->emails,$oUser->id,'0','txt',($_SESSION[QT]['viewmode']=='C'),$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;','; ');
  $str = AsTextList($str,' ; ',false);
  echo $oUser->fullname.'&nbsp;&nbsp;',$str,' ',(strstr($oUser->privacy,'emails') ? ' ('.$L['Hidden'].')' : ''),'<br/>';
  $strText .= $oUser->emails.'; ';
  }}
  echo '</td>';
  echo '<td class="td_s">&nbsp;</td>';
  echo '</tr>',N;
  echo '<tr class="tr_s">',N;
  echo '<td class="td_s td_s_first">&nbsp;</td>',N;
  echo '<td class="td_s"><textarea class="small" rows="10" cols="64">',$strText,'</textarea></td>',N;
  echo '<td class="td_s td_d_last">&nbsp;</td>',N;
  echo '</tr>',N;
}

echo '<tr class="data_o">',N;
echo '<td class="tf_s tf_s_first"></td>',N;
echo '<td class="tf_s"></td>',N;
echo '<td class="tf_s tf_s_last"></td>',N;
echo '</tr>',N;
echo '</table><br/>',N;

echo '<h2>',$L['dateMMM'][$intMonthN],' ',$intYearN,'</h2>',N;

echo '<table class="data_t" cellspacing="0">',N;
echo '<colgroup span="3"><col width="10"></col><col></col><col width="10"></col></colgroup>',N;
echo '<tr class="data_o">',N;
echo '<td class="th_s th_s_first th_s_empty"></td>',N;
echo '<td class="th_s th_s_empty"></td>',N;
echo '<td class="th_s th_s_last th_s_empty"></td>',N;
echo '</tr>',N;

if ( count($arrEventsN)==0 )
{
  echo '<tr class="tr_s"><td class="td_s" colspan="3">',$L['None'],'</td>';
}
else
{
  $strText = '';
  echo '<tr class="tr_s">';
  echo '<td class="td_s">&nbsp;</td>';
  echo '<td class="td_s">';
  foreach ($arrEventsN as $intDay => $arrEvent) {
  foreach ($arrEvent as $intNum => $arrUser) {
  $oUser = new cUser($arrUser,true); // privatise
  $str = AsEmails($oUser->emails,$oUser->id,'0','txt',($_SESSION[QT]['viewmode']=='C'),$_SESSION[QT]['skin_dir'],'Java protected email','&nbsp;','; ');
  $str = AsTextList($str,'; ',false);
  echo $oUser->fullname.'&nbsp;&nbsp;',$str,' ',(strstr($oUser->privacy,'emails') ? ' ('.$L['Hidden'].')' : ''),'<br/>';
  $strText .= $oUser->emails.'; ';
  }}
  echo '</td>';
  echo '<td class="td_s">&nbsp;</td>';
  echo '</tr>',N;
  echo '<tr class="tr_s">',N;
  echo '<td class="td_s td_s_first">&nbsp;</td>',N;
  echo '<td class="td_s"><textarea class="small" rows="10" cols="64">',$strText,'</textarea></td>',N;
  echo '<td class="td_s td_d_last">&nbsp;</td>',N;
  echo '</tr>',N;
}
echo '<tr class="data_o">',N;
echo '<td class="tf_s tf_s_first"></td>',N;
echo '<td class="tf_s"></td>',N;
echo '<td class="tf_s tf_s_last"></td>',N;
echo '</tr>',N;
echo '</table><br/>',N;


// HTML END

echo '<br/><a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a><br/><br/>',N;

include('qte_p_footer.php');

?>